telepathy-gabble-0.18.3-2.3.i586.rpm


Advertisement

Description

telepathy-gabble - XMPP connection manager for Telepathy

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename telepathy-gabble-0.18.3-2.3.i586.rpm
Package name telepathy-gabble
Package version 0.18.3
Package release 2.3
Package architecture i586
Package type rpm
Category Productivity/Networking/Instant Messenger
Homepage http://telepathy.freedesktop.org/wiki/
License LGPL-2.1-or-later
Maintainer -
Download size 702.23 KB
Installed size 2.44 MB
Gabble is a Jabber/XMPP connection manager for the Telepathy framework,
currently supporting single user chats, multi user chats and
voice/video calls. Install this package to use Telepathy instant
messaging clients with Jabber/XMPP servers, including Google Talk.

Alternatives

Package Version Architecture Repository
telepathy-gabble-0.18.3-155.29.x86_64.rpm 0.18.3 x86_64 GNOME Next
telepathy-gabble-0.18.3-155.29.i586.rpm 0.18.3 i586 GNOME Next
telepathy-gabble-0.18.3-148.24.x86_64.rpm 0.18.3 x86_64 GNOME Factory
telepathy-gabble-0.18.3-148.24.i586.rpm 0.18.3 i586 GNOME Factory
telepathy-gabble-0.18.3-2.3.x86_64.rpm 0.18.3 x86_64 openSUSE Oss
telepathy-gabble - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.7) -
libdbus-1.so.3 -
libdbus-1.so.3(LIBDBUS_1_3) -
libdbus-glib-1.so.2 -
libgio-2.0.so.0 -
libglib-2.0.so.0 -
libgmodule-2.0.so.0 -
libgnutls.so.30 -
libgnutls.so.30(GNUTLS_3_4) -
libgobject-2.0.so.0 -
libnice.so.10 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libsoup-2.4.so.1 -
libsqlite3.so.0 -
libtelepathy-glib.so.0 -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.0) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.11) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.13) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.14) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.16) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.3) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.6) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.11.9) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.0) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.1) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.12) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.3) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.7) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.13.9) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.14.2) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.14.3) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.15.1) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.15.6) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.15.8) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.17.1) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.17.2) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.17.5) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.17.7) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.18.0) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.19.0) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.19.1) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.19.2) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.19.7) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.0) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.1) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.10) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.13) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.14) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.15) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.17) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.18) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.19) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.2) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.20) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.21) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.23) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.24) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.26) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.27) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.29) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.3) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.31) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.34) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.36) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.37) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.5) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.6) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.8) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.7.9) -
libtelepathy-glib.so.0(TELEPATHY_GLIB_0.9.2) -
libxml2.so.2 -
libxml2.so.2(LIBXML2_2.4.30) -
libxml2.so.2(LIBXML2_2.6.0) -
libxml2.so.2(LIBXML2_2.6.6) -

Provides

Name Value
libgabble-plugins-0.18.3.so -
libgateways.so -
libwocky-telepathy-gabble-0.18.3.so -
telepathy-gabble = 0.18.3-2.3
telepathy-gabble(x86-32) = 0.18.3-2.3
telepathy-gabble-doc = 0.18.3

Obsoletes

Name Value
telepathy-gabble-doc < 0.18.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package telepathy-gabble-0.18.3-2.3.i586.rpm
Source Package telepathy-gabble-0.18.3-2.3.src.rpm

Install Howto

Install telepathy-gabble rpm package:

# zypper install telepathy-gabble

Files

Path
/usr/lib/telepathy-gabble
/usr/lib/telepathy/
/usr/lib/telepathy/gabble-0/
/usr/lib/telepathy/gabble-0/lib/libgabble-plugins-0.18.3.so
/usr/lib/telepathy/gabble-0/lib/libgabble-plugins.so
/usr/lib/telepathy/gabble-0/lib/libwocky-telepathy-gabble-0.18.3.so
/usr/lib/telepathy/gabble-0/lib/libwocky.so
/usr/lib/telepathy/gabble-0/plugins/libgateways.so
/usr/share/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.gabble.service
/usr/share/doc/packages/telepathy-gabble/AUTHORS
/usr/share/doc/packages/telepathy-gabble/ChangeLog
/usr/share/doc/packages/telepathy-gabble/NEWS
/usr/share/doc/packages/telepathy-gabble/README
/usr/share/doc/packages/telepathy-gabble/muc-bytestream.html
/usr/share/doc/packages/telepathy-gabble/olpc.html
/usr/share/doc/packages/telepathy-gabble/si-multiple.html
/usr/share/doc/packages/telepathy-gabble/tubes.html
/usr/share/licenses/telepathy-gabble/COPYING
/usr/share/man/man8/telepathy-gabble.8.gz
/usr/share/telepathy/
/usr/share/telepathy/managers/gabble.manager

Changelog

2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2014-08-25 - zaitor@opensuse.org
- Update to version 0.18.3:
+ Fixes: Fix a crash in Jingle (fdo#76465).
2014-03-31 - mgorse@suse.com
- Update to version 0.18.2:
+ Don't try to cancel a source ID twice, which issues a critical
warning in GLib 2.39.
+ Fix failure to build with recent (Markdown-based) gtk-doc.
+ Plugin loader: don't crash if g_dir_open() fails twice
(fdo#66085).
+ Fix a crash in 1-1 Tubes on 64-bit machines (fdo#70038).
+ Fix enum cast warnings under clang (fdo#70038)
2013-09-06 - dimstar@opensuse.org
- Update to version 0.18.1:
+ This stable release fixes connection issues with Facebook which
have been recently introduced because of a change in their XMPP
servers.
+ If we send an IQ to a server allow "from" to be empty
(fdo#68829).
2013-08-12 - dimstar@opensuse.org
- Update to version 0.18.0:
+ GLib 2.32 is (directly) required.
+ better interop with Google webmail for audio/video calls.
+ better interop with Google and MSN servers.
+ better interop with iChat.
+ Don't claim to support X-TELEPATHY-PASSWORD if the username is
unknown.
+ Look up a STUN server automatically, using DNS SRV.
+ Old-style Tubes channels have been removed.
+ Bug fixes.
- Changes from version 0.17.6:
+ Check for GLib 2.32 in the top-level configure.ac, and drop
fallback paths for older GLib.
+ Bugs fixed: fdo#67875, fdo#67900, fdo#65290, fdo#67828,
deb#714534.
2013-06-23 - zaitor@opensuse.org
- Update to version 0.17.5:
+ Dependencies: GLib 2.32 is now directly required. It was
already indirectly required by telepathy-glib 0.19.x.
+ Fixes:
- update Wocky:
. fdo#65131: interoperate with non-XMPP-Core-compliant Jingle
IQs sent by Google's webmail UI.
. Improve reference-counting for better stability.
- fdo#65296: initialize libdbus for thread-safety.
- fdo#64285: avoid running the same commands twice in parallel
when doing a highly parallel build.
- fdo#49595: disable an unreliable test-case.
2013-06-02 - zaitor@opensuse.org
- Update to version 0.17.4:
+ update Wocky:
- fdo#61792: fix linking an example program with ld versions
that default to --no-copy-dt-needed-entries.
- fdo#65036 (CVE-2013-1431): update Wocky to respect the
tls-required flag on legacy Jabber servers.
- fdo#63119: improve regression tests' isolation from the
session bus.
- fdo#64319: consider the <URL> field to be "supported" on
Google servers.
- fdo#64354: don't claim we support X-TELEPATHY-PASSWORD if we
don't know the username.
- Drop telepathy-gabble-link-wocky.patch, fixed upstream.
2013-05-06 - dimstar@opensuse.org
- Disable parallel build for now, as there is a high chance of
failure (fdo#64285).
2013-03-14 - dimstar@opensuse.org
- Update to version 0.17.3:
+ Enhancements:
- fdo#58198: the Jingle protocol code now lives in Wocky. This
should make no functional difference to Gabble.
+ Bugs fixed: fdo#43166, fdo#57521, fdo#61433.
- Changes from version 0.17.2:
+ Enhancements:
- Gabble now uses GLib's base64 implementation rather than
including its own (fdo#54760, fdo#57080).
- Gabble now looks up a STUN server from the stun._udp SRV
record for the user's domain (fdo#25961).
- XEP-0184 delivery reports are now supported (fdo#47378).
+ Bugs fixed: fdo#33789, fdo#52146, fdo#52362, fdo#56181,
fdo#57267, fdo#57521.
- Add telepathy-gabble-link-wocky.patch: link wocky examples
against gnutls.
- Add libtool BuildRequires and call to autoreconf (in
lib/ext/wocky), as above patch touches the build system of the
integrated wocky library.

See Also

Package Description
telepathy-gabble-xmpp-console-0.18.3-2.3.i586.rpm XMPP connection manager for Telepathy -- XMPP Console
telepathy-gabble-xmpp-console-0.18.3-2.3.x86_64.rpm XMPP connection manager for Telepathy -- XMPP Console
telepathy-glib-devel-0.24.1-3.3.i586.rpm GObject-based library for the Telepathy D-Bus API -- Development Files
telepathy-glib-devel-0.24.1-3.3.x86_64.rpm GObject-based library for the Telepathy D-Bus API -- Development Files
telepathy-glib-doc-0.24.1-3.3.i586.rpm GObject-based library for the Telepathy D-Bus API -- Developer documentation
telepathy-glib-doc-0.24.1-3.3.x86_64.rpm GObject-based library for the Telepathy D-Bus API -- Developer documentation
telepathy-haze-0.8.0-6.3.i586.rpm A libpurple connection manager for Telepathy
telepathy-haze-0.8.0-6.3.x86_64.rpm A libpurple connection manager for Telepathy
telepathy-idle-0.2.0-4.3.i586.rpm IRC support for Telepathy
telepathy-idle-0.2.0-4.3.x86_64.rpm IRC support for Telepathy
telepathy-logger-0.8.2-4.4.i586.rpm Centralized Logging for the Telepathy Framework
telepathy-logger-0.8.2-4.4.x86_64.rpm Centralized Logging for the Telepathy Framework
telepathy-logger-devel-0.8.2-4.4.i586.rpm Development files for the Telepathy Framework Centralized Logging
telepathy-logger-devel-0.8.2-4.4.x86_64.rpm Development files for the Telepathy Framework Centralized Logging
telepathy-logger-qt5-devel-17.08.0-1.1.i586.rpm Qt Wrapper around TpLogger client library
Advertisement
Advertisement